﻿using Telerik.Windows.Controls;
using System.Windows.Controls;
using System.Windows;

namespace RadScheduleView_DataTemplates
{
	public class CustomHeaderTemplateSelector : GroupHeaderTemplateSelector
	{
		public DataTemplate HorizontalRoomTemplate { get; set; }
		public DataTemplate VerticalRoomTemplate { get; set; }
		public override System.Windows.DataTemplate SelectTemplate(object item, System.Windows.DependencyObject container, ViewDefinitionBase activeViewDeifinition)
		{			
			IResource resource = item as IResource;
			if (resource != null && resource.ResourceType == "Room")
			{
				switch (activeViewDeifinition.GetOrientation())
				{
					case Orientation.Horizontal: return this.VerticalRoomTemplate;
					case Orientation.Vertical: return this.HorizontalRoomTemplate;
				}
			}
			return base.SelectTemplate(item, container, activeViewDeifinition);
		}
	}
}
